[Unit]
Description=Consul agent
Requires=network-online.target
After=network.target

[Service]
User={{ consul_user }}
Group={{ consul_user }}
ExecStart={{ consul_bin_dir }}/consul agent -config-dir=/etc/consul.d
Restart=on-failure
ExecReload=/bin/kill -HUP $MAINPID
KillSignal=SIGINT

[Install]
WantedBy=multi-user.target
